# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`modern_shell_tools`](#modern_shell_tools): Installs a set of modern commandline tools
* [`modern_shell_tools::install`](#modern_shell_toolsinstall): A private class for installing prerequirements
* [`modern_shell_tools::install::bashtop`](#modern_shell_toolsinstallbashtop): A modern replacement for top/htop
* [`modern_shell_tools::install::bat`](#modern_shell_toolsinstallbat): A cat(1) clone with syntax highlighting and Git integration.
* [`modern_shell_tools::install::broot`](#modern_shell_toolsinstallbroot): A tree explorer and a customizable launcher
* [`modern_shell_tools::install::dyff`](#modern_shell_toolsinstalldyff): δyƒƒ /ˈdʏf/ - a diff tool for YAML files, and sometimes JSON
* [`modern_shell_tools::install::exa`](#modern_shell_toolsinstallexa): A modern replacement for ls
* [`modern_shell_tools::install::jc`](#modern_shell_toolsinstalljc): jc converts the output of many commands and file-types to JSON
* [`modern_shell_tools::install::jq`](#modern_shell_toolsinstalljq): A commandline JSON processor
* [`modern_shell_tools::install::lfs`](#modern_shell_toolsinstalllfs): A modern df command
* [`modern_shell_tools::install::viddy`](#modern_shell_toolsinstallviddy): A Modern watch command
* [`modern_shell_tools::install::xsv`](#modern_shell_toolsinstallxsv): A suite of CSV command line utilities

## Classes

### <a name="modern_shell_tools"></a>`modern_shell_tools`

Installs a set of modern commandline tools

#### Examples

##### 

```puppet
include modern_shell_tools
```

### <a name="modern_shell_toolsinstall"></a>`modern_shell_tools::install`

A private class for installing prerequirements

#### Examples

##### 

```puppet
include modern_shell_tools::install
```

### <a name="modern_shell_toolsinstallbashtop"></a>`modern_shell_tools::install::bashtop`

A modern replacement for top/htop

#### Examples

##### 

```puppet
include modern_shell_tools::install::bashtop
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::bashtop` class:

* [`version`](#version)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'0.9.25'`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/bashtop-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

### <a name="modern_shell_toolsinstallbat"></a>`modern_shell_tools::install::bat`

A cat(1) clone with syntax highlighting and Git integration.

#### Examples

##### 

```puppet
include modern_shell_tools::install::bat
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::bat` class:

* [`arch`](#arch)
* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="arch"></a>`arch`

Data type: `String[1]`



Default value: `'x86_64'`

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'linux'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'0.22.1'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"bat-v${version}-${arch}-unknown-${build}-gnu.tar.gz"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/bat-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/bat-v${version}-${arch}-unknown-${build}-gnu"`

### <a name="modern_shell_toolsinstallbroot"></a>`modern_shell_tools::install::broot`

A tree explorer and a customizable launcher

#### Examples

##### 

```puppet
include modern_shell_tools::install::broot
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::broot` class:

* [`arch`](#arch)
* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="arch"></a>`arch`

Data type: `String[1]`



Default value: `$facts['os']['architecture']`

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'linux'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'1.13.1'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"broot_${version}.zip"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/broot-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/${arch}-unknown-${build}-gnu"`

### <a name="modern_shell_toolsinstalldyff"></a>`modern_shell_tools::install::dyff`

δyƒƒ /ˈdʏf/ - a diff tool for YAML files, and sometimes JSON

#### Examples

##### 

```puppet
include modern_shell_tools::install::dyff
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::dyff` class:

* [`arch`](#arch)
* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="arch"></a>`arch`

Data type: `String[1]`



Default value: `'amd64'`

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'linux'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'1.5.4'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"dyff_${version}_${build}_${arch}.tar.gz"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/dyff-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/dyff"`

### <a name="modern_shell_toolsinstallexa"></a>`modern_shell_tools::install::exa`

A modern replacement for ls

#### Examples

##### 

```puppet
include modern_shell_tools::install::exa
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::exa` class:

* [`arch`](#arch)
* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="arch"></a>`arch`

Data type: `String[1]`



Default value: `'x86_64'`

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'linux'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'0.10.0'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"exa-${build}-${arch}-v${version}.zip"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/exa-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/bin"`

### <a name="modern_shell_toolsinstalljc"></a>`modern_shell_tools::install::jc`

jc converts the output of many commands and file-types to JSON

#### Examples

##### 

```puppet
include modern_shell_tools::install::jc
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::jc` class:

* [`arch`](#arch)
* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="arch"></a>`arch`

Data type: `String[1]`



Default value: `'x86_64'`

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'linux'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'1.20.0'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"jc-${version}-${build}-${arch}.tar.gz"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/jc-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/jc"`

### <a name="modern_shell_toolsinstalljq"></a>`modern_shell_tools::install::jq`

A commandline JSON processor

#### Examples

##### 

```puppet
include modern_shell_tools::install::jq
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::jq` class:

* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'linux64'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'1.6'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"jq-${build}"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/jq-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/${archive_name}"`

### <a name="modern_shell_toolsinstalllfs"></a>`modern_shell_tools::install::lfs`

A modern df command

#### Examples

##### 

```puppet
include modern_shell_tools::install::lfs
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::lfs` class:

* [`arch`](#arch)
* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="arch"></a>`arch`

Data type: `String[1]`



Default value: `$facts['os']['architecture']`

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'linux'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'2.5.0'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"lfs_${version}.zip"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/lfs-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/build"`

### <a name="modern_shell_toolsinstallviddy"></a>`modern_shell_tools::install::viddy`

A Modern watch command

#### Examples

##### 

```puppet
include modern_shell_tools::install::viddy
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::viddy` class:

* [`arch`](#arch)
* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="arch"></a>`arch`

Data type: `String[1]`



Default value: `'x86_64'`

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'Linux'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'0.3.6'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"viddy_${version}_${build}_${arch}.tar.gz"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/viddy-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/viddy"`

### <a name="modern_shell_toolsinstallxsv"></a>`modern_shell_tools::install::xsv`

A suite of CSV command line utilities

#### Examples

##### 

```puppet
include modern_shell_tools::install::xsv
```

#### Parameters

The following parameters are available in the `modern_shell_tools::install::xsv` class:

* [`arch`](#arch)
* [`build`](#build)
* [`version`](#version)
* [`archive_name`](#archive_name)
* [`install_path`](#install_path)
* [`bin_path`](#bin_path)
* [`create_path`](#create_path)

##### <a name="arch"></a>`arch`

Data type: `String[1]`



Default value: `'x86_64'`

##### <a name="build"></a>`build`

Data type: `String[1]`



Default value: `'linux'`

##### <a name="version"></a>`version`

Data type: `String[1]`



Default value: `'0.13.0'`

##### <a name="archive_name"></a>`archive_name`

Data type: `String[1]`



Default value: `"xsv-${version}-${arch}-unknown-${build}-musl.tar.gz"`

##### <a name="install_path"></a>`install_path`

Data type: `Stdlib::Absolutepath`



Default value: `"/opt/mst/xsv-${version}"`

##### <a name="bin_path"></a>`bin_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/local/sbin'`

##### <a name="create_path"></a>`create_path`

Data type: `Stdlib::Absolutepath`



Default value: `"${install_path}/xsv"`

